<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
|----------------------------------------------------+
|
|         Section Maintenance Infusion v1.3
|
|            Philip "HobbyMan" Daly
|          http://www.hobbysites.net/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."section_maintenance/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."section_maintenance/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."section_maintenance/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."section_maintenance/locale/English.php";
}

$data_sm = dbarray(dbquery("SELECT * FROM ".DB_SECTION_MAINTENANCE));

	openside($locale['sma300']);
	
	if($data_sm['sma_show_image'] == 1)
{
  echo "<img src='".INFUSIONS."section_maintenance/images/offline.jpg' width='220' height='168' border='0' align='left' alt='".$locale['sma205']."'>\n";
} else {
  echo "";
}
echo "<div><br /><center><br />
<table border='0' align='center' cellspacing='0' width='100%'>
	<tr>
		<td align='center'><b>".$locale['sma301']."</b><br /></td></tr>
		<tr><td align='center'><br /><p align='justify'>".$data_sm['sma_message']."</p></td></tr>
		<tr><td align='center'><br />".$locale['sma302']."<br /><br /></td></tr>\n";
		
	if($data_sm['sma_time'] == 0)
{
  echo "";
} else {
  echo "<tr><td align='center' class='tbl2'><br /><p class='small'>".$locale['sma304']." ".$data_sm['sma_time']."\n";
  
if ($data_sm['sma_period'] == 0) {
echo "".$locale['sma220']."";
} elseif ($data_sm['sma_period'] == 1) {
echo "".$locale['sma221']."";
} elseif ($data_sm['sma_period'] == 2) {
echo "".$locale['sma222']."";
} elseif ($data_sm['sma_period'] == 3) {
echo "".$locale['sma223']."";
} elseif ($data_sm['sma_period'] == 4) {
echo "".$locale['sma224']."";
}
  
echo "</p></td></tr>";
}
		
	if($data_sm['sma_show_sig'] == "0")
{
  echo "";
} else {
  echo "<tr><td align='left' valign='bottom' class='tbl2'><br /><p class='small2'>".$locale['sma305']." ".$data_sm['sma_sign']."&nbsp;".$locale['sma218']."&nbsp;".strftime('%d/%m/%Y %H:%M', $data_sm['sma_datestamp']+($settings['timeoffset']*3600))."<br /><br /></p></td></tr>";
}	

echo "</table><br /></center></div>";

 closeside();
 
require_once THEMES."templates/footer.php";
?>